## Access to and Manipulation of the Formal Arguments

## Usage

    formals(fun=sys.function(sys.parent()))
    formals(obj) <- list

## Value

If `fun` is a function then the formal argument list to that function is returned. If `fun` is a character string then the function with that name is found and used. If `fun` is not specified then the function calling `formals` is used.

The assignment form sets the formals of a function to the list on the right hand side.

## See Also

`args` for a ``human–readable'' version, `alist`, `body`, `function`.

## Examples

    length(formals(lm))      # the number of formal arguments
    names(formals(boxplot))  # formal arguments names

    f <- function(x)a+b
    formals(f) <- alist(a=,b=3) # function(a,b=3)a+b
    f(2) # result = 5

[Package Contents]